/*
 * ImageDataSink.h
 *
 * (c) 2002 by Thorsten Scheuermann <tscheuermann@gmx.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef IMAGEDATASINK_H
#define IMAGEDATASINK_H

#define USE_FIXED_POINT
#include "fixed.h"

/**
  *@author Thorsten Scheuermann
  */

class ImageDataSink
{
public:
	virtual void setImageDimension(int w, int h) = 0;
	virtual void setNumImageChannels(int c) = 0;
	virtual void startImage() = 0;
	virtual void endImage() = 0;
	virtual void imageRow(unsigned char *rowData) = 0;
	virtual void imageRow(fixed *rowData) = 0;
};

#endif
